
CN REST - Task #7534

Story # 7506 (Closed): Tracker for libraries that need to be updated

Tag Metacat 2.5.1 with updated libraries

2015-12-08 23:28 - Ben Leinfelder

Status: Closed Start date: 2015-12-08

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.2   

Story Points:    

Description

When looking at the  build control file, realized this would be required for CN library consistency as well, particularly in handing

non-DNs and auth tokens when requests are proxied to Metacat.

History

#1 - 2015-12-17 00:07 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Here are the JUnit tests that are failing with explanations about why it is expected (or not).

[junit] Running edu.ucsb.nceas.metacat.replication.ReplicationTest

[junit] Tests run: 6, Failures: 4, Errors: 0, Time elapsed: 204.735 sec

EXPECTED. I do not have a replication target set-up with my local Metacat.

[junit] Running edu.ucsb.nceas.metacattest.AuthLdapTest

[junit] Tests run: 3, Failures: 1, Errors: 0, Time elapsed: 26.561 sec

EXPECTED.  Cannot follow referral to LTER LDAP server.

[junit] Running edu.ucsb.nceas.metacattest.PISCOAccountTest

[junit] Tests run: 2, Failures: 1, Errors: 0, Time elapsed: 8.503 sec

EXPECTED. Cannot follow referral to PISCO LDAP server.

#2 - 2015-12-23 18:03 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Tagged from 2.5 branch for the CCI-2.0.2 release.

https://code.ecoinformatics.org/code/metacat/tags/METACAT_2_5_1/
